### Changelog

All notable changes to this project will be documented in this file. Dates are displayed in UTC.

#### [0.6.1](https://git.odit.services/kauft.es/linkylinky/compare/0.6.0...0.6.1)

- Working clientside stuff [`#3`](https://git.odit.services/kauft.es/linkylinky/issues/3)
- Merge pull request 'Update dependency fastify-jwt to v4' (#12) from renovate/fastify-jwt-4.x into main [`3bfcd64`](https://git.odit.services/kauft.es/linkylinky/commit/3bfcd645890253813cc2e4c740f67d577682934b)
- Merge pull request 'Update registry.odit.services/hub/library/node Docker tag to v17' (#11) from renovate/registry.odit.services-hub-library-node-17.x into main [`d17825c`](https://git.odit.services/kauft.es/linkylinky/commit/d17825cabf2d46d040bd33a3d1ad5a9d0bccfbe5)
- Merge pull request 'Update dependency dotenv to v11' (#13) from renovate/dotenv-11.x into main [`6205151`](https://git.odit.services/kauft.es/linkylinky/commit/6205151d53b374d890276d294d0abc6e6114abe5)
- Update dependency knex to ^0.95.0 [`2b93f3e`](https://git.odit.services/kauft.es/linkylinky/commit/2b93f3ea8a9b2f4be73829fb1041e6233d81fa91)
- Preleminary emoji support [`3ca5f6b`](https://git.odit.services/kauft.es/linkylinky/commit/3ca5f6b3b468ca739bc77e1d9b751625e03f300d)
- Update dependency fastify-jwt to v4 [`575685f`](https://git.odit.services/kauft.es/linkylinky/commit/575685f24d1d0a2c0574741e540f448642990cd5)
- Added 'clientside' flag to getters and setters [`11bd1b4`](https://git.odit.services/kauft.es/linkylinky/commit/11bd1b4f1f4d079b3ca047472da9da34fb64732d)
- Update dependency dotenv to v11 [`4861ca7`](https://git.odit.services/kauft.es/linkylinky/commit/4861ca7f3e3ed3e62ee774d59cb13a38d5e5e1e1)
- Update registry.odit.services/hub/library/node Docker tag to v17 [`0e9f7a5`](https://git.odit.services/kauft.es/linkylinky/commit/0e9f7a526ce5188e964e7beb78a5fb63870b473f)
- Enabled dep dashboard [`efb11f6`](https://git.odit.services/kauft.es/linkylinky/commit/efb11f6047e37901e20c613393d435f869e8a1f9)
- Merge pull request 'Update dependency knex to ^0.95.0' (#5) from renovate/knex-0.x into main [`e95ca80`](https://git.odit.services/kauft.es/linkylinky/commit/e95ca8045af6afcbc9dfcc9976d107a231d12953)
- Merge pull request 'Configure Renovate' (#4) from renovate/configure into main [`2a7a32f`](https://git.odit.services/kauft.es/linkylinky/commit/2a7a32fda615fa01751deffadafa6df1a5d0fede)
- Added migration for clientside redirects [`e321408`](https://git.odit.services/kauft.es/linkylinky/commit/e3214084f6dbf3e1595c54a9594e6d5f12323991)
- Add renovate.json [`d7428af`](https://git.odit.services/kauft.es/linkylinky/commit/d7428af1d81c820fdca7220959485f361956b86e)

#### [0.6.0](https://git.odit.services/kauft.es/linkylinky/compare/0.5.1...0.6.0)

> 25 September 2021

- 🚀RELEASE 0.6.0 [`3803ac9`](https://git.odit.services/kauft.es/linkylinky/commit/3803ac9197a1d4c6535606cde43b1e04b3056f9c)
- Now with custom opengraph (tm) [`9d7125a`](https://git.odit.services/kauft.es/linkylinky/commit/9d7125a31186f3b7f33df4875db12c67cf91f536)
- Added rudementary page content [`e1621b7`](https://git.odit.services/kauft.es/linkylinky/commit/e1621b72ade1fce381f30bcf310a6dcf8d1c65ea)
- Added migration for disallowing bot previews [`0a500f1`](https://git.odit.services/kauft.es/linkylinky/commit/0a500f16cde0b0e38a115dd4e76185a2a45dda49)
- Added basic bot checking [`61da5d8`](https://git.odit.services/kauft.es/linkylinky/commit/61da5d81108a4b86f92e1c05ca99372c6b188347)
- Now with working bad bot detection [`75adbf7`](https://git.odit.services/kauft.es/linkylinky/commit/75adbf73cfbf4fadf2cd632ecb687eff95749f52)
- New urls can now be created with disabled preview [`33d7c94`](https://git.odit.services/kauft.es/linkylinky/commit/33d7c94648d062ece3fa437e71ce1ded70324cd8)
- Added bot check for native short urls [`f6b2ae5`](https://git.odit.services/kauft.es/linkylinky/commit/f6b2ae523da149b72f2be6d9171584cdc0be6e99)
- Added package for bot recognition [`773b286`](https://git.odit.services/kauft.es/linkylinky/commit/773b286216c9e530ccdf3fbfcfe95fa938097be5)
- Getters now return the no_preview status [`e5b8557`](https://git.odit.services/kauft.es/linkylinky/commit/e5b8557e4ccae90981e675c2adae81236aa9144e)
- Added noindex header to all shorturl routes [`0a8945a`](https://git.odit.services/kauft.es/linkylinky/commit/0a8945a294de2bc5bce9410f3ebf20b8f5abd0a5)
- Switched docker base images to odit mirror [`d8ed9a1`](https://git.odit.services/kauft.es/linkylinky/commit/d8ed9a149fddae8e8cc61b78cbc940a9d7ade8f2)
- Updated opengraph type [`b64a843`](https://git.odit.services/kauft.es/linkylinky/commit/b64a8436e745d176cc49ef72434dce0f8f1bcc12)
- Log user agents [`f15282a`](https://git.odit.services/kauft.es/linkylinky/commit/f15282a3f9bdaaf09a36d8662b64a5bc2740633f)
- Removed unused log [`6d71a3e`](https://git.odit.services/kauft.es/linkylinky/commit/6d71a3ebf4d880b8291cacd620f86416cff0d744)
- removed logging [`d097ecc`](https://git.odit.services/kauft.es/linkylinky/commit/d097eccbd925e3627fa710d7891d269b372d174c)

#### [0.5.1](https://git.odit.services/kauft.es/linkylinky/compare/0.5.0...0.5.1)

> 21 August 2021

- 🚀RELEASE 0.5.1 [`b871e42`](https://git.odit.services/kauft.es/linkylinky/commit/b871e4295dc4b067f4f4dd28c3f940c8aa9624e0)
- Added endpoint to query over all visited urls [`bb99c2d`](https://git.odit.services/kauft.es/linkylinky/commit/bb99c2dcd1ce89af1bc27a035be5265345d2a05f)
- Added optional filtering by provider [`0945060`](https://git.odit.services/kauft.es/linkylinky/commit/0945060a49ed35c038df2c04bbd07174bc5654ca)
- Shortened return to avoid variable memory asignment [`f7eae96`](https://git.odit.services/kauft.es/linkylinky/commit/f7eae96b8c3479d333fc00bc36bce451733700db)
- Changed object property order (just for us pesky humans to improve readability) [`c2a50a1`](https://git.odit.services/kauft.es/linkylinky/commit/c2a50a14807e223987464c63fac6d67ed98b1a93)

#### [0.5.0](https://git.odit.services/kauft.es/linkylinky/compare/0.4.3...0.5.0)

> 21 August 2021

- 🚀RELEASE 0.5.0 [`e8382fb`](https://git.odit.services/kauft.es/linkylinky/commit/e8382fb579f769364693974cbe74ce06e9810a9a)
- Removed visits 404 resolution [`59e1784`](https://git.odit.services/kauft.es/linkylinky/commit/59e178476e8f7e64de92ae23e859b87680e7af64)
- Added migration for visits provider [`f48159b`](https://git.odit.services/kauft.es/linkylinky/commit/f48159b31bcaf7c7449c89fb1e3851bcb04f5e3c)
- Reverted last change since we can defer it from the provider [`b532137`](https://git.odit.services/kauft.es/linkylinky/commit/b5321377bde9bd7de13e2eee4dd38a072cf0d4a3)
- Changed the way visits entrys get compiled to enable provider visits count searches over the default api [`6e26bbb`](https://git.odit.services/kauft.es/linkylinky/commit/6e26bbbf5f29e4c1eaa56c5dc41ab77c192d0cfb)
- Server now inserts provider on visit [`824c109`](https://git.odit.services/kauft.es/linkylinky/commit/824c109a420efd0e1e6de01d93827020f3fe5a5f)
- Added package script for migration creation [`6195001`](https://git.odit.services/kauft.es/linkylinky/commit/6195001d4b701d39470ff4be0e265f9afb288e78)

#### [0.4.3](https://git.odit.services/kauft.es/linkylinky/compare/0.4.2...0.4.3)

> 21 August 2021

- Fixed auth error crashing the entire server thanks to fastify handling stuff not the same way that they do in the docs..... [`#1`](https://git.odit.services/kauft.es/linkylinky/issues/1)
- 🚀RELEASE 0.4.3 [`0afa803`](https://git.odit.services/kauft.es/linkylinky/commit/0afa80345d47e09e20d4365634f8532248b2044c)

#### [0.4.2](https://git.odit.services/kauft.es/linkylinky/compare/0.4.1...0.4.2)

> 18 August 2021

- Changed register api route and added user deletion route [`588f3ba`](https://git.odit.services/kauft.es/linkylinky/commit/588f3bae8980f76461d20e15475ec797078b0b54)
- 🚀RELEASE 0.4.2 [`4ffc06d`](https://git.odit.services/kauft.es/linkylinky/commit/4ffc06db7bb84bc7bfc9c57a80927f7201185274)

#### [0.4.1](https://git.odit.services/kauft.es/linkylinky/compare/0.4.0...0.4.1)

> 18 August 2021

- 🚀RELEASE 0.4.1 [`d889432`](https://git.odit.services/kauft.es/linkylinky/commit/d889432ce8a403f6a609423eaf458a5904dc5b98)
- Fixed jwtcount not being recognized [`44830f0`](https://git.odit.services/kauft.es/linkylinky/commit/44830f08bc212f8079b5ac2da3d51eedbe6d5c41)

#### [0.4.0](https://git.odit.services/kauft.es/linkylinky/compare/0.3.0...0.4.0)

> 18 August 2021

- Basic jwt implementation :party: [`75473ca`](https://git.odit.services/kauft.es/linkylinky/commit/75473cabe79975296e473002e16d3abafbd2635e)
- Implemented jwtcount basics [`48cc380`](https://git.odit.services/kauft.es/linkylinky/commit/48cc380504206ea08b3a5082f19ad10bdd7cf773)
- Implemented jwt count validation and update on logout [`558b69e`](https://git.odit.services/kauft.es/linkylinky/commit/558b69eeaa78ea015473c674d5f919d64128a930)
- Switched to fastify-auth to support multiple auth providers [`6420ffb`](https://git.odit.services/kauft.es/linkylinky/commit/6420ffb055f08348c54cd08a193aba5fe5ebc13a)
- 🚀RELEASE 0.4.0 [`1cd3ebf`](https://git.odit.services/kauft.es/linkylinky/commit/1cd3ebf8c5a9413b93ab49c8813dad5c5c547cb2)
- All authenticated entpoints now accept jwtauth [`2b22063`](https://git.odit.services/kauft.es/linkylinky/commit/2b22063a81193c3d698525a050ef300e542c1f05)

#### [0.3.0](https://git.odit.services/kauft.es/linkylinky/compare/0.2.0...0.3.0)

> 18 August 2021

- Added license [`5bb7212`](https://git.odit.services/kauft.es/linkylinky/commit/5bb7212420ba102e743d62a47074191cdb264d2a)
- 🚀RELEASE 0.3.0 [`a62ee63`](https://git.odit.services/kauft.es/linkylinky/commit/a62ee63c838a64d7fd28ae110cad474e2c531995)
- Added stats api route [`c89f2a2`](https://git.odit.services/kauft.es/linkylinky/commit/c89f2a2939b658ffc688646ccce32fc0e1530583)
- Added author info [`2fa520f`](https://git.odit.services/kauft.es/linkylinky/commit/2fa520fdde1d55b2766b4b03e394e21a4f6cbae5)
- Updated readme [`2226705`](https://git.odit.services/kauft.es/linkylinky/commit/2226705e3f57d7d2f3ef5a79947c3ab44ec62c38)
- Added comments [`d51c588`](https://git.odit.services/kauft.es/linkylinky/commit/d51c58867d7508c84f26c236e38567bc6a4adbed)

#### [0.2.0](https://git.odit.services/kauft.es/linkylinky/compare/0.1.4...0.2.0)

> 14 August 2021

- 🚀RELEASE 0.2.0 [`7293295`](https://git.odit.services/kauft.es/linkylinky/commit/72932955d15976947dd553c5deba51cbf541b215)
- Added ebay provider recognition [`12c6d7e`](https://git.odit.services/kauft.es/linkylinky/commit/12c6d7e3da5cb4de6a597b4639f313b8e4319646)
- Ebay provider resolution [`339e2f3`](https://git.odit.services/kauft.es/linkylinky/commit/339e2f39d88d42a961e1e495f319dc0663cdc0a6)
- Now recognizing with and without protocol [`1624e66`](https://git.odit.services/kauft.es/linkylinky/commit/1624e666e83e0afe346bcacb105ea1a1535f0690)

#### [0.1.4](https://git.odit.services/kauft.es/linkylinky/compare/0.1.3...0.1.4)

> 14 August 2021

- Added cors [`518aa3e`](https://git.odit.services/kauft.es/linkylinky/commit/518aa3eb08cb72854812130d45b3b89afb074693)
- 🚀RELEASE 0.1.4 [`86f4cd0`](https://git.odit.services/kauft.es/linkylinky/commit/86f4cd00ea517f7e2cacbf69f2163eae597610ee)

#### [0.1.3](https://git.odit.services/kauft.es/linkylinky/compare/0.1.2...0.1.3)

> 14 August 2021

- Weired knex env fix [`fef7daa`](https://git.odit.services/kauft.es/linkylinky/commit/fef7daaf961e9112aa00f2ad22c3b0518ad258a7)
- 🚀RELEASE 0.1.3 [`86985ef`](https://git.odit.services/kauft.es/linkylinky/commit/86985ef7355c2db09dcd6c8e52ee7ebde3ed4128)

#### [0.1.2](https://git.odit.services/kauft.es/linkylinky/compare/0.1.1...0.1.2)

> 14 August 2021

- API Endpoint to get all short urls [`fa01864`](https://git.odit.services/kauft.es/linkylinky/commit/fa01864d0de7921e741d63c3f5795161279ea478)
- 🚀RELEASE 0.1.2 [`b14fa05`](https://git.odit.services/kauft.es/linkylinky/commit/b14fa05adc1ef8e34fd73bf5f495505df7d44b33)
- Changed the way that the migration get's triggered [`8fa489f`](https://git.odit.services/kauft.es/linkylinky/commit/8fa489f2bcd9d1ad63ab4581b7f3b27eee3d9038)
- Get all api endpoints [`91b25c2`](https://git.odit.services/kauft.es/linkylinky/commit/91b25c22ca035aec5cc2fdc80ca4fbb56a2f8b65)
- Added optional db volume to docker-compose [`7c71e94`](https://git.odit.services/kauft.es/linkylinky/commit/7c71e943041d8e3ac9dcf95cad27f2f0bc0b024c)
- Prod db now resides in db folder [`512acc0`](https://git.odit.services/kauft.es/linkylinky/commit/512acc0b8c15d4cfbafef21ec20707bac4629ea4)

#### [0.1.1](https://git.odit.services/kauft.es/linkylinky/compare/0.1.0...0.1.1)

> 14 August 2021

- 🚀RELEASE 0.1.1 [`55d6b91`](https://git.odit.services/kauft.es/linkylinky/commit/55d6b91cc252ee6676d13df9abd8b61283a07f0f)
- fix: Dockerfile [`807eb9c`](https://git.odit.services/kauft.es/linkylinky/commit/807eb9c267377df0b5f30f81eb380ef8a1c2add2)

#### [0.1.0](https://git.odit.services/kauft.es/linkylinky/compare/0.0.2...0.1.0)

> 14 August 2021

- add lockfile [skip-ci] [`d97450c`](https://git.odit.services/kauft.es/linkylinky/commit/d97450cf5389965d8183b5719aad7e9e6f0181ae)
- 🚀RELEASE 0.1.0 [`e02d91e`](https://git.odit.services/kauft.es/linkylinky/commit/e02d91e662e090b79b03ec77896100923464aa6b)
- smaller Dockerfile [skip-ci] [`86ef277`](https://git.odit.services/kauft.es/linkylinky/commit/86ef277c902aabb52acb5f846cb55406dc4d1095)
- Added tag commit args [`fd0a586`](https://git.odit.services/kauft.es/linkylinky/commit/fd0a586ed6e365801979c16d809a8254f64049be)
- Now signing release commits [`af6500c`](https://git.odit.services/kauft.es/linkylinky/commit/af6500ccb4792616f28bec77eda5c5e116422604)

#### 0.0.2

> 14 August 2021

- Migrated to knex [`823b211`](https://git.odit.services/kauft.es/linkylinky/commit/823b211c8c4fd4de3a6043696ca070101173aa1b)
- Added basics for auth [`6d417fa`](https://git.odit.services/kauft.es/linkylinky/commit/6d417fac1b4d77ab5552b75483cfc787d466e699)
- Initial [`ab17f91`](https://git.odit.services/kauft.es/linkylinky/commit/ab17f9148af6811a53bf323172d045cc71ecfb6d)
- 🚀RELEASE 0.0.2 [`a4bdb4d`](https://git.odit.services/kauft.es/linkylinky/commit/a4bdb4dca4aaba397688d43f1ec3a26cb2143dea)
- Added image builds by drone [`1a8410c`](https://git.odit.services/kauft.es/linkylinky/commit/1a8410c421e30001ae9623c19a8e72e0632ed920)
- Working registration/auth [`81b314a`](https://git.odit.services/kauft.es/linkylinky/commit/81b314ac55e9ab0cd603dda48473c0fe3db6c42e)
- Implemented short code generation via nanoid [`1550860`](https://git.odit.services/kauft.es/linkylinky/commit/15508606a41057857cce0d2ae16e389432c76960)
- New provider: yt playlists [`7344724`](https://git.odit.services/kauft.es/linkylinky/commit/73447243a31110c8ea667bf868a816f80dd1eb25)
- Added leveldb [`97a86db`](https://git.odit.services/kauft.es/linkylinky/commit/97a86db5e36ca5f08fe3f49a27745ca0a646f5b0)
- Added api route for getting basic information about an url [`1ac700f`](https://git.odit.services/kauft.es/linkylinky/commit/1ac700f5847cbb75d9f8117aaa4af1efd71b00ab)
- First routes [`e5c302a`](https://git.odit.services/kauft.es/linkylinky/commit/e5c302aec84aac8c62f7e5c9c5e0d2095788054c)
- Added basic readme [`1c2c1db`](https://git.odit.services/kauft.es/linkylinky/commit/1c2c1dbbbb5726f65cb0d23814e5fda0fef0efda)
- Added process for recognizing yt urls [`8eaa52d`](https://git.odit.services/kauft.es/linkylinky/commit/8eaa52d83d8deef5d0410509d1a91cf0b1b5ac77)
- Now validating users against the db [`cd9400f`](https://git.odit.services/kauft.es/linkylinky/commit/cd9400fec32c3538062770e9dd75541729a60365)
- Added visits api [`fd16b39`](https://git.odit.services/kauft.es/linkylinky/commit/fd16b3944313a27fa406782862f37b2165ac0ffd)
- Added schma to validate [`cfc49f3`](https://git.odit.services/kauft.es/linkylinky/commit/cfc49f3ec4c62fd39fa9b06499a2cd52677d6764)
- Added release-it config [`ca03286`](https://git.odit.services/kauft.es/linkylinky/commit/ca0328611b28a6bcdc06a57479da60932baf1bd8)
- Added basic migration [`0a8a5c1`](https://git.odit.services/kauft.es/linkylinky/commit/0a8a5c1fba840f4713f28f4b81751847e0c96de9)
- Added comments [`52cf92b`](https://git.odit.services/kauft.es/linkylinky/commit/52cf92b5e5cfe6925595d93953fac02162f9eef9)
- Added tag builds [`960f979`](https://git.odit.services/kauft.es/linkylinky/commit/960f9795afa913cc95ab155ff0e2ef90c62595e8)
- Added delete api route [`71fa977`](https://git.odit.services/kauft.es/linkylinky/commit/71fa977af4d5414872e585352d52eabdfe609335)
- Basic Dockerfile [`2e7d924`](https://git.odit.services/kauft.es/linkylinky/commit/2e7d924815d4b359da2d76049f1836556e41d80c)
- Added config object [`7cfcb54`](https://git.odit.services/kauft.es/linkylinky/commit/7cfcb54195eac7ba35b83b8679b61e36d572eb9b)
- Switched to fastify [`b7354e5`](https://git.odit.services/kauft.es/linkylinky/commit/b7354e505b08ff2ce6627fbd152c9d9b5c854e91)
- Added process for recognizing amazn urls [`35af600`](https://git.odit.services/kauft.es/linkylinky/commit/35af600dba6d86710f88ddcf092ddab39b1795aa)
- Added migration for visit counter [`3eda0b0`](https://git.odit.services/kauft.es/linkylinky/commit/3eda0b0c9cb38e2c77212edc25ebc72b8d014423)
- Updated prod db config to sqlite [`8ea9478`](https://git.odit.services/kauft.es/linkylinky/commit/8ea9478a108878d2473f8e752cee2094b50cc337)
- Prequesits for docker [`1a04743`](https://git.odit.services/kauft.es/linkylinky/commit/1a04743db913c54b0c60138bc23149560fbb45cd)
- Now returning visit count via api get [`d8cb023`](https://git.odit.services/kauft.es/linkylinky/commit/d8cb02376550a2752f31d577868b405ebe85cdf1)
- Replaced nanoid with uniqid [`68b9b43`](https://git.odit.services/kauft.es/linkylinky/commit/68b9b4389139d25661a34968814ccd8f6ca14871)
- Implemented a simple table for storing visits [`5e9dec6`](https://git.odit.services/kauft.es/linkylinky/commit/5e9dec640a7117810b812d157f11ac20d557d8a6)
- Bsic docker-compose [`f325f6c`](https://git.odit.services/kauft.es/linkylinky/commit/f325f6c8cc30fec013b5dfd76555f0fd36a14647)
- Now logging visits to shorturls [`c4c22a7`](https://git.odit.services/kauft.es/linkylinky/commit/c4c22a7405ec4d29cf01c5931908332a1e51d516)
- Updated readme [`257272c`](https://git.odit.services/kauft.es/linkylinky/commit/257272c3f5e4a457bcc50803dd0fe37d127d37b1)
- Added db to gitignore [`c6b02b7`](https://git.odit.services/kauft.es/linkylinky/commit/c6b02b7eb4de9cebcd6673f6299f5d2f679473de)
- Added db prequesites [`226477b`](https://git.odit.services/kauft.es/linkylinky/commit/226477bb0c59987ca9dc594bc63134a454d8d366)
- Added release script [`0034a7b`](https://git.odit.services/kauft.es/linkylinky/commit/0034a7b2680dd414310a49c75d6a4dd2cd97a981)
- Added knex migration as package script [`174ceeb`](https://git.odit.services/kauft.es/linkylinky/commit/174ceebc061b6c82ea05249d0d38a4e75aeb20d4)
- Shorcode is not the primary col [`b5482fe`](https://git.odit.services/kauft.es/linkylinky/commit/b5482fe3c367340bff3459a17a25ee2afc084a19)
- Deletions now cascade [`9c23404`](https://git.odit.services/kauft.es/linkylinky/commit/9c23404210aa813050f5ede4cad42e0679fa87ec)
- Added index to shortcode for easier queriing [`0814074`](https://git.odit.services/kauft.es/linkylinky/commit/08140742edd10a21784a222893f8e03457966bc2)
- Added index for url target (to improve performance later on) [`6680ce7`](https://git.odit.services/kauft.es/linkylinky/commit/6680ce7e500720f0c38fe51e2c7bbc7449d3a033)
- Changed path for posting new urls [`a6397f0`](https://git.odit.services/kauft.es/linkylinky/commit/a6397f01d124ca7d9f821f5bac6c9891fe28234d)
- Added ODIT package namespace [`6273c71`](https://git.odit.services/kauft.es/linkylinky/commit/6273c713bdc1763284851a2436897cff8340bfb3)
- Added default dev env [`74cf176`](https://git.odit.services/kauft.es/linkylinky/commit/74cf1768184351494e08fe5ddea473b56302eb38)
- Added .env capeabilities [`2464573`](https://git.odit.services/kauft.es/linkylinky/commit/2464573525a20d5d584e76ad988096ef75b51095)
- SSL Config via process env [`ae7d123`](https://git.odit.services/kauft.es/linkylinky/commit/ae7d123082dd3c0f57d2e2f1e147078a215dc220)
- Added sqlite stuff to ignore [`9f80ad2`](https://git.odit.services/kauft.es/linkylinky/commit/9f80ad2941fc108f594fedf5324b5d885e675cc5)
- Adjusted param naming [`bb09b73`](https://git.odit.services/kauft.es/linkylinky/commit/bb09b731aa8a4fa004c99e569266149e2ba506ca)
- Now also recognizing cursed amazon urls (that weird query shit) [`fc84dde`](https://git.odit.services/kauft.es/linkylinky/commit/fc84dde5346d7fd94c319617950f376f7295fb21)
- Updated dependencies to knex [`41e1028`](https://git.odit.services/kauft.es/linkylinky/commit/41e102857e60f1c167b08f6a117e5f8cf0a20813)
